###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2012 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: gfs2-utils
Version: 3.1.8
Release: %mkrel 1
License: GPLv2+ and LGPLv2+
Group: System/Kernel and hardware
Summary: Utilities for managing the global file system (GFS2)
URL: https://fedorahosted.org/cluster/wiki/HomePage
Source0: https://fedorahosted.org/released/gfs2-utils/gfs2-utils-%{version}.tar.xz
Requires(post): chkconfig
Requires(preun): initscripts
Requires(preun): chkconfig
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires: ncurses
Requires: file
BuildRequires: ncurses-devel
BuildRequires: kernel-userspace-headers
BuildRequires: automake
BuildRequires: perl
BuildRequires: libtool
BuildRequires: zlib-devel
BuildRequires: gettext-devel
BuildRequires: bison
BuildRequires: flex
BuildRequires: pkgconfig(blkid)

%prep
%setup -q -n %{name}-%{version}

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x
%make

%check
make check

%install
%make_install -C gfs2
# Remove gfs_control and the gfs_controld man page (temporary)
rm -f %{buildroot}%{_mandir}/man8/gfs_controld.8
rm -f %{buildroot}/usr/sbin/gfs_control


%description -n gfs2-utils
The gfs2-utils package contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in GFS2
file systems.

%files -n gfs2-utils
%doc doc/COPYING.* doc/COPYRIGHT doc/README.licence doc/*.txt
%{_sbindir}/fsck.gfs2
%{_sbindir}/gfs2_*
%{_sbindir}/mkfs.gfs2
%{_sbindir}/tunegfs2
%{_mandir}/man8/*gfs2*
%{_mandir}/man5/*


%changelog
* Sat Apr 16 2016 shlomif <shlomif> 3.1.8-1.mga6
+ Revision: 1002885
- New version 3.1.8

* Thu Feb 11 2016 umeabot <umeabot> 3.1.6-5.mga6
+ Revision: 954305
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1.6-4.mga5
+ Revision: 743996
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.6-3.mga5
+ Revision: 679553
- Mageia 5 Mass Rebuild

* Sat Mar 08 2014 tv <tv> 3.1.6-2.mga5
+ Revision: 601284
- run make check

* Sat Mar 08 2014 tv <tv> 3.1.6-1.mga5
+ Revision: 601271
- further fix installing
- fix installing
- BR pkgconfig(blkid)
- BR bison + flex
- new release

* Fri Oct 18 2013 umeabot <umeabot> 3.1.4-7.mga4
+ Revision: 504833
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.1.4-6.mga3
+ Revision: 351511
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 28 2012 tmb <tmb> 3.1.4-5.mga2
+ Revision: 233703
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 20 2012 boklm <boklm> 3.1.4-4.mga2
+ Revision: 232059
- install systemd service file
- update group
- clean spec
- use tarball downloaded from fedorahosted.org
- update buildrequires
- use mkrel
- import spec from fedora
- Created package structure for gfs2-utils.

